API ReferenceapicommsGET /v1/preferences/{person_id}

GET /v1/preferences/\{person_id\}

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • person_id (string) required

Query parameters

  • brand_id (string) required

Responses

200 User notification preferences

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "person_id": {
            "type": "string"
          },
          "channel": {
            "type": "string"
          },
          "category": {
            "type": "string"
          },
          "enabled": {
            "type": "boolean"
          }
        },
        "required": [
          "id",
          "brand_id",
          "person_id",
          "channel",
          "category",
          "enabled"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/preferences/{person_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"